@use "../block-themes/components/media-image/media-image.scss";
@use "../block-themes/components/grid-template/grid-template.scss";
@use "../block-themes/components/slider/slider.scss";
@use "../block-themes/components/small-column/small-column.scss";
@use "../block-themes/components/flex-template/flex-template.scss";
@use "../block-themes/components/button/button.scss";
@use "../block-themes/components/input/input.scss";
@use "../block-themes/components/select/select.scss";
@use "../block-themes/components/breadcrumb/breadcrumb.scss";

@use "swiper/css";
@use "swiper/css/navigation";
@use "swiper/css/pagination";
@use "swiper/css/scrollbar";



@import "~bootstrap/scss/bootstrap";
//conson themes

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family: "Cormorant Garamond", serif;

}

.container {
  padding-left: 0 !important;
  padding-right: 0 !important;
  margin: 0 auto !important;
}

a {
  text-decoration: none;
  color: inherit;
}

p {
  margin: 0;
}

li {
  padding-bottom: 10px;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  margin-bottom: 0 !important;
}

.centerSection {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}


.blur-background {
  position: relative;

  &:before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #0C0C0C;
    opacity: 0.4;
  }
}



.container-fluid {
  max-width: none !important;
  padding-right: 0 !important;
  padding-left: 0 !important;
}

//
.Header {
  display: flex;
  justify-content: space-between;
  padding: 32px 120px;
  background-color: #0c0c0c;
  width: 100%;

  .logo {
    width: 270px;
  }

  ul {
    display: flex;
    height: 50px;
    list-style: none;
    justify-content: flex-start;
    padding: 0;

    .menu-item.current_page_item {
      a {
        color: #e0d6af !important;
      }
    }

    .menu-item {
      padding-right: 30px;
      padding-bottom: 0 !important;

      a {
        text-decoration: none;
        color: #ffffff;
        font-size: 20px;
        line-height: 35px;
      }
    }
  }

  #menu-header-menu {
    font-size: 20px;
    font-weight: 700;
    line-height: 35px;
  }

  #menu-menu-user {
    font-size: 16px;
    font-weight: 700;
    line-height: 28px;
  }
}

//wordpress customize config

.border-solid {
  border-style: solid !important;
}

.border-dashed {
  border-style: dashed !important;
}

.border-dotted {
  border-style: dotted !important;
}

.border-none {
  border: none !important;
}

.wp-block {
  margin: 0;
}

.wp-block-spacer {
  margin: 0 auto;
}

.wp-block-columns {
  max-width: 1280px;
  margin: auto;
  margin-bottom: 0 !important;
}

.wp-block-list {
  padding: 20px;
}

.wp-block-media-text__content {
  padding: 0 4% !important;
}

.background-white {
  background: #fff;
}

.grid {
  display: grid;
}

.components-input-control__container span {
  padding-right: 10px !important;
}

.block-editor-block-list__layout.is-root-container {
  .wp-block:not([class*="container"]) {
    max-width: 100%;
  }

  .wp-block[data-align="wide"]:not([class*="container"]) {
    max-width: 100%;
  }

  .wp-block[data-align="full"]:not([class*="container"]) {
    max-width: none;
  }

  .wp-block {

    .wp-block-areoi-strip,
    .wp-block-areoi-container,
    .wp-block-areoi-row {
      max-width: none;
    }
  }
}

.wp-block-post-featured-image {
  width: 100% !important;
  height: 100% !important;

  img {
    height: 100% !important;
  }
}

@for $i from 1 to 7 {
  .grid-#{$i}-columns {
    grid-template-columns: repeat(#{$i}, 1fr);
  }
}

@for $i from 1 through 10 {
  .gap-lv#{$i} {
    gap: calc(#{$i} * 10px);
  }
}